Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.integration.ant
Class CactifyEarTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.MatchingTask
                  org.apache.tools.ant.taskdefs.Zip
                      org.apache.tools.ant.taskdefs.Jar
                          org.apache.tools.ant.taskdefs.Ear
                              org.apache.cactus.integration.ant.CactifyEarTask

All Implemented Interfaces:
  org.apache.tools.ant.types.selectors.SelectorContainer

public class CactifyEarTask
extends org.apache.tools.ant.taskdefs.Ear

An Ant task that injects elements necessary to run Cactus tests into an existing EAR file.

Version:
  $Id: CactifyEarTask.java 239173 2005-05-24 12:02:31Z grimsell $

Nested Class Summary

Nested classes inherited from class org.apache.tools.ant.taskdefs.Jar
`org.apache.tools.ant.taskdefs.Jar.FilesetManifestConfig`

Nested classes inherited from class org.apache.tools.ant.taskdefs.Zip
`org.apache.tools.ant.taskdefs.Zip.ArchiveState, org.apache.tools.ant.taskdefs.Zip.Duplicate, org.apache.tools.ant.taskdefs.Zip.WhenEmpty`

Constructor Summary
`CactifyEarTask()`

Method Summary
`void` | `addConfiguredCactuswar(CactusWar theCactusWar)`
`void` | `execute()`
`boolean` | `getAddEjbReferences()`
`void` | `setAddEjbReferences(boolean isAddEjbReferences)` Indicates whether or not ejb references should be added.
`void` | `setSrcFile(java.io.File theSrcFile)`

Methods inherited from class org.apache.tools.ant.taskdefs.Ear
`addArchives, setAppxml, setEarfile`

Methods inherited from class org.apache.tools.ant.taskdefs.Jar
`addConfiguredIndexJars, addConfiguredManifest, addMetainf, reset, setFilesetmanifest, setIndex, setJarfile, setManifest, setManifestEncoding, setWhenempty`

Methods inherited from class org.apache.tools.ant.taskdefs.Zip
`addFileset, addZipfileset, addZipGroupFileset, executeMain, getComment, getDestFile, getEncoding, isCompress, isInUpdateMode, setBasedir, setComment, setCompress, setDestFile, setDuplicate, setEncoding, setFile, setFilesonly, setKeepCompression, setRoundUp, setUpdate, setZipfile`

Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addSelector, addSize, addType, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getSelectors, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setExcludes, setExcludesfile, setFollowSymlinks, setIncludes, setIncludesfile, setProject, XsetIgnore, XsetItems`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, init, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CactifyEarTask

    public CactifyEarTask()

Method Detail

### addConfiguredCactuswar

    public void addConfiguredCactuswar(CactusWar theCactusWar)

  Parameters:
    `theCactusWar` - CactusWar to set

### setSrcFile

    public void setSrcFile(java.io.File theSrcFile)

  Parameters:
    `theSrcFile` - The srcFile to set.

### getAddEjbReferences

    public boolean getAddEjbReferences()

  Returns:
    Returns the addEjbReferences.

### setAddEjbReferences

    public void setAddEjbReferences(boolean isAddEjbReferences)

  Indicates whether or not ejb references should be added. If set to true all local ejbs will be accessible via java:comp/env/ejb/

  Parameters:
    `isAddEjbReferences` - if ejb references should be added.

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`
  See Also:
    `Task.execute()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.